commit 0591ca56f9628d1a1a691160d79d9afb0f225c4d
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Nov 7 13:02:28 2024 -0500

    xrandr 1.5.3
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xrandr/-/merge_requests/14>

commit 9362e430f59b9fb47129122fa3a5db687819d74d
Author: Justin Mayfield <tooker@gmail.com>
Date:   Mon Aug 7 15:34:11 2023 -0600

    Reworked transform fix from Arsalan Awan
    
    Check that the transform for a display is unmodified before allowing it
    to be skipped during an update.
    
    This is a reworked patch from Arsalan Awan's 2017 post:
        https://lists.x.org/archives/xorg-devel/2017-December/055482.html
    
    Fixes #36
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xrandr/-/merge_requests/11>

commit b05887508dcf65a58204fb69763e1a7846d2e857
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Apr 11 12:31:06 2023 +0300

    xrandr: Print/consume the CTM prop in human readable form
    
    Print/consume the CTM in floats for easier human consumption.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xrandr/-/merge_requests/10>

commit 71ab94418ead8f59c6124e8b3e53f8df7340f095
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Sep 18 14:06:41 2023 -0700

    set_gamma_info: remove unnecessary round-trip to server
    
    XRRGetCrtcGamma() returns the exact same size information as
    XRRGetCrtcGammaSize(), so just use it instead of waiting for
    the X server to send it an extra time.
    
    (And if something has gone very wrong so that they aren't the same,
     this avoids out-of-bounds reads processing the returned gamma arrays
     by using the size of the arrays we allocated.)
    
    Reported-by: Gregory James DUCK <gjduck@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6f714830da6c8d74f024be6b0bb32c1ea39c1217
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 3 15:47:06 2022 -0800

    xrandr 1.5.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 213e10f1996b08305df55c237c90152227e0c5f7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 28 18:29:04 2022 -0700

    Constify array argument to find_last_non_clamped()
    
    Suggested by cppcheck:
    
    xrandr.c:1046:30: style: Parameter 'array' can be declared with const [constParameter]
    find_last_non_clamped(CARD16 array[], int size)
                                 ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fc331d39447412320e856f56bab88613264cd8f5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 28 18:25:19 2022 -0700

    Remove unused definition of rectangle_t
    
    Was added in commit 854a7c2916455fec5e but never used.
    Reported by cppcheck unusedStructMember warning.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e8c4a2727196c8f9bf76df30c5c0a8671e0e5dfe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 28 18:22:11 2022 -0700

    Remove unused macros left over from original RandR 1.2 code
    
    Use of these was removed in commit cb017692883daf64 in 2006.
    Reported by clang -Wunused-macros
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3613fea4472741d8423c38a82e5569739d53bbb7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 28 18:09:58 2022 -0700

    Fix a -Wsign-compare warning
    
    xrandr.c: In function ‘main’:
    xrandr.c:2780:24: warning: comparison between signed and unsigned integer
      expressions [-Wsign-compare]
          for (int t = 0; t < sizeof(filter_names) / sizeof(filter_names[0]); t++)
                            ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 289722fc8f2c9916a9631c7e4c796269b99b98f8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 28 18:07:20 2022 -0700

    Variable scope reductions as suggested by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8231beec67ee274d10b5d4c5b910d673dc6d1cc8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2fb90d4d626dcc0432f96da3fa438724d637bdd3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 9 12:38:26 2022 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 296effc3ac7b2f095e889488d82e9d1a4fffd824
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 13:34:30 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 824484e5ba50f1e6858ea990393c181a249c3a5e
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Aug 12 10:42:41 2019 -0700

    xrandr 1.5.1
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit edac280f06da2ad2256c710f95b34253202e6e49
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Aug 12 10:49:52 2019 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 829ed54d89bb37c9e2f8050fe72bd4ecf7b5395a
Author: Vladimir Panteleev <git@thecybershadow.net>
Date:   Thu Dec 20 11:28:51 2018 +0000

    xrandr: Fix deleting inactive monitors
    
    The following commands did not behave correctly:
    
    xrandr --setmonitor empty auto none
    xrandr --delmonitor empty
    
    The second command failed with "No monitor named 'empty'". This
    occurred because get_monitors was invoked with its get_active argument
    set to False, which caused it to not retrieve inactive monitors. Thus,
    inactive monitors could not be deleted.
    
    Fix this bug by invoking get_monitors (and, thus, XRRGetMonitors) with
    get_active = False, thus enabling deletion of disabled monitors.
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 9e5fa7c8c26f78e121ffad0d7a745a674c4a1849
Author: Adam Simpkins <adam@adamsimpkins.net>
Date:   Thu Aug 3 15:11:53 2017 -0700

    xrandr: fix crash if some modes cannot be found
    
    When printing modes in "xrandr -q", check to see if we failed to look up
    mode information from a mode XID.  Previously the command would
    dereference null and crash if the mode information could not be found.
    
    When using an external HDMI monitor on a laptop with a Skylake Intel
    graphics chipset "xrandr -q" occasionally is unable to look up mode
    information for some of the modes.  It seems likely there is some other
    sort of library or driver issue causing these lookup failures, but this
    change to xrandr at least prevents it from segfaulting.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3316ccaca35dc5fc6b6e3b5826e222cd648eb9c9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:17:09 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 004681fb9c71256feb49e2bda203819654b0a05f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 22:47:41 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a2134406ab0aef44e7b710e1e2a2a40965e96692
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 13 09:44:16 2018 +1000

    init the name to 0
    
    There are a few conditions where coverity finds a use of an uninitialized
    field of the name_t struct. These are rather messy combinations of conditions,
    so let's go with the simple solution here and just init everything to 0.
    This may still have side-effects but at least they'll be more obvious than the
    previous "use whatever memory is leftover from breakfast".
    
    This patch also adds a missing init_name(), much for the same reason.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9882680c9f7f433a47514a9cb799c79e3e10a024
Author: Pali Rohár <pali.rohar@gmail.com>
Date:   Sat Mar 10 16:23:29 2018 +0100

    Document that --dpi and --fbmm options set DPI of whole X screen
    
    Explicitly document and make it clear that those options do not change
    DPI of some monitor output. Also state that these options have no useful
    meaning for multi-monitor configuration.
    
    Signed-off-by: Pali Rohár <pali.rohar@gmail.com>
    Reviewed-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>

commit da61a8bd95bd20d45397eee6a6c0d3ad5a50c399
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Tue Feb 6 22:02:42 2018 +0100

    xrandr: gamma and scaling factors must be positive
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 5e95248b5bab1254ecedffb6cb681b0ee06c0f29
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Mon Feb 5 02:01:21 2018 +0100

    xrandr.man: document the monitor manipulation options
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit cf25d585df5582d29528acc35f1c91dcb98b0f00
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Mon Feb 5 01:31:15 2018 +0100

    xrandr: allow single value for --gamma
    
    Similarly to --scale, accept a single value to be used for all three
    components, and refuse values with extra junk after the acceptable
    values.
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 289bc0f1c53d8bc488d96e7f79afabd361758e08
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Sun Jul 16 14:57:40 2017 +0200

    xrandr.man: grammar tuning
    
    Rephrase the --scale option paragraph to improve English and be more
    consistent in choice of plurals and tense. Also ensure that each
    sentence starts on a new line in the roff source.
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 635a4c8bc9f81852dc77b5dc9de1ce5825849a7f
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Sun Jul 16 15:05:21 2017 +0200

    xrandr: stricter --scale argument parsing
    
    We used to accept something like --scale 2x3junk as a valid input
    (scaling x by 2 and y by 3), even though this isn't really a valid
    scaling factor.
    
    Fix by making sure there is nothing after the parsed number(s).
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 4e655b2cfc79b02d0ca7cea82b09f1f1133f1a0a
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Wed May 17 17:20:50 2017 +0200

    xrandr: allow a single value for --scale
    
    This allows using e.g. --scale 0.5 as a shorthand for --scale 0.5x0.5
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 8969b3c651eaae3e3a2370ec45f4eeae9750111d
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Jun 1 15:45:59 2017 -0700

    man: Document the new --filter option
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6ac2afc0d7d8d51d4085767b901667393c11061b
Author: Pablo De La Garza <pdelagarza@nvidia.com>
Date:   Thu Mar 23 16:05:02 2017 -0700

    xrandr: Add a "--filter" flag
    
    Flag can be set to "nearest" or "bilinear"
    
    Signed-off-by: Pablo De La Garza <pdelagarza@nvidia.com>
    [aplattner@nvidia.com: Fixed style and whitespace]
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 5d5db88d106a49d7560a8042fa054df8b609f00a
Author: Pali Rohár <pali.rohar@gmail.com>
Date:   Sun May 28 23:33:26 2017 +0200

    Document format of --dpi option in non-ambiguous way
    
    Slash in previous documentation could be misunderstood as part of the
    --dpi command line option. So fix it.
    
    Signed-off-by: Pali Rohár <pali.rohar@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 215a01f1513f918e7295a8a477d4674f7b8085f0
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Wed Jan 18 08:52:23 2017 +0100

    xrandr: suppress misleading indentation warning
    
    When printing out rotations, we print a space before any item other than
    the first, and set `first = False` in each block where we print.
    However, this is done in the same line as the conditional that checks if
    first is set, which may give the impression that the assignment is also
    under the conditional. This is not the case, and recent GCC warns about
    this.
    
    Move the assignment to after we print the value we want to print, which
    (1) doesn't mislead about the indentation, and
    (2) makes logical sense as the _next_ entry is what won't be the first.
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>

commit 85e95db7120da3bdaf9efb3033be5f9338e6c328
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Wed Jan 18 08:52:09 2017 +0100

    xrandr: document that we accept '--dpi output'
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>

commit 1b561d25d197069a4a2c8b5d4007938b669ee612
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit f84206b8cdbb9c6211c845da92492346bae8fde0
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bd3f2f58351a038469c7adc6be7650087433f6f4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 65fd628cdfd1c95bd01a50706d4577655d1dd404
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Feb 23 10:22:26 2016 -0800

    xrandr 1.5.0
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit d62030b506f6b686ffe1e750ea9d3a855beec1f0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 13 11:40:37 2015 +0100

    Only use the current information when setting modes
    
    Before we change the state (e.g. adding a mode or applying one to an
    output), we query the screen resources for the right identifiers. This
    should only use the current information rather than force a reprobe on
    all hardware - not only can that reprobe be very slow (e.g. EDID
    timeouts on the order of seconds), but it may perturb the setup that the
    user is trying to configure.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3d03be780fca4949b11ead46c5ea5d3266c03c32
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 18 08:27:49 2015 +0100

    Mark all CRTC as currently unused for second picking CRTC pass
    
    We perform two passes over the CRTC in order to find the preferred CRTC
    for each enabled output. In the first pass, we try to preserve the
    existing output <-> CRTC relationships (to avoid unnecessary flicker).
    If that pass fails, we try again but with all outputs first disabled.
    However, the logic to preserve an active CRTC was not disabled along
    with the outputs - meaning that if one was active but its associated
    output was disabled by the user, then that CRTC would remain unavailable
    for other outputs. The result would be that we would try to assign more
    CRTC than available (i.e. if the user request 3 new HDMI outputs on a
    system with only 3 CRTC, and wished to switch off an active internal
    panel, we would report "cannot find CRTC" even though that configuration
    could be established.)
    
    Reported-and-tested-by: Nathan Schulte <nmschulte@gmail.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 53ef3fc13b3e282902892e3140765460c6f93276
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jun 18 08:27:48 2015 +0100

    Mark disabling an output as a change in its CRTC
    
    When an output is disabled via the cmdline, we can use that information
    to prevent assigning the current CRTC to the output and free it up for
    reuse by other outputs in the first pass of picking CRTC.
    
    Reported-and-tested-by: Nathan Schulte <nmschulte@gmail.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 09989b09a342b273ee30e1d96267dced3cbe61b0
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Apr 9 11:14:54 2015 -0700

    Split verbose mode printing into a helper function
    
    Combine the two forms of verbose mode printing into a single function.  Pass the
    'current' and 'preferred' flags as arguments.  This fixes the code that prints
    unassociated modes to print the flags as well.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>

commit d06730e94320175d40ff6f2bb38dce55312f2e54
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 16 01:57:45 2014 -0800

    Add monitor support (v2)
    
    This adds the ability to query, set and delete monitors
    
    v2: [airlied] add list active monitors
    
    Reviewed-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3076c3494b6f3f00b9c4509c2dab6f40858af4cf
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Mar 31 11:49:00 2015 +1000

    xrandr: don't return NULL from a void
    
    Reported-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 6957ad0cf3cdd10e8f4a5638b36f25c7a9b4ea25
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Mar 30 14:51:49 2015 +1000

    xrandr: parse property returns correctly.
    
    Xlib uses longs for 32-bit, so when we get values back they
    are in longs, this fixes the xrandr parsing code to parse
    the correct sized values according to Xlib.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f429a517684e8f99c15bc2858e62bbd112331456
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Oct 8 13:16:07 2014 +0200

    keystone: Report matrix error. Deal with "primary" in xrandr output
    
    Compute the error cause by the fixed point matrix representation and
    display that.
    
    Accept the 'primary' word found in xrandr output and ignore it.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 527d83dde0cb78cbfbb67d203d073e41e110d4a1
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jul 9 10:52:52 2012 -0700

    Increase keystone.5c default window size

commit 9887ed4989e0abd48004598be0eb5cb06fa40bd1
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Aug 1 23:14:42 2014 -0700

    xrandr 1.4.3
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 20d76f773cf8de474cf7a3f1082961605732c3f1
Merge: 00477d8 193a358
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Aug 1 23:10:46 2014 -0700

    Merge commit '193a358'
    
    Conflicts:
            xrandr.c

commit 193a358563a59c1a3fc55f55029c605e2419c80b
Author: Stéphane Aulery <lkppo@free.fr>
Date:   Sat Jun 29 16:50:25 2013 -0700

    Mention of --brightness with -h option
    
    Reported by jidanni at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=709569
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-By: Matt Dew <marcoz@osource.org>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 00477d88297eaa6c87aa144548590c32540e3928
Author: Connor Behan <connor.behan@gmail.com>
Date:   Tue Jun 10 23:56:12 2014 -0700

    Allow -x and -y switches to undo themselves
    
    People who want to dick around might think it is safe to run "xrandr -x"
    before they know any of the other syntax. When "xrandr -x" again does
    not get back to a normal screen, they are stuck having to read a manpage
    with reflected text.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Tested-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 7d464312fb84c080a6e287edd21a794193a0dd78
Author: Connor Behan <connor.behan@gmail.com>
Date:   Sun Jun 1 16:35:50 2014 -0700

    Remove duplicate printing of the axis
    
    Even in verbose mode, why print the same information twice?
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 792f05ea20d5191425154470760e36dcf023c6e9
Author: Dominik Behr <dbehr@chromium.org>
Date:   Tue Apr 1 18:38:05 2014 -0700

    xrandr: use full range for gamma table generation
    
    Calculate gamma table using full [0,65536) range and do not make any
    assumptions about relation of gamma table size and significant bits.
    
    Gamma table size has nothing to do with number of significant bits in hardware.
    In particular we are dealing now with gamma table that has 17 entries and 8
    bit precision, there are other GPUs with 10 bit precision and less than 256
    entries using partial linear approximation. Deriving assumed gamma table
    significant bits from size of gamma table leads to incorrect calculations and
    loss of precision. Also XRandR specification never mentions that gamma tables
    need to be power of 2.
    
    Signed-off-by: Dominik Behr <dbehr@chromium.org>
    Reviewed-by: Stéphane Marchesin <marcheu@chromium.org>

commit 866366d0825c3f488abd58960e4f76ae50de08d1
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sat Mar 29 00:50:17 2014 +0100

    Remove unnecessary parentheses.
    
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit 31f5fa6a47db154abb47cf16e9f6cc4d983ad371
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Mar 27 11:37:07 2014 -0700

    xrandr 1.4.2
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 934a424a05a296c0b8af015476e11b191d55eba3
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Mar 21 10:35:56 2014 -0700

    xrandr: document how to disconnect RandR 1.4 providers
    
    Commit a6217be2d5a93a4c7b48f4081a4a8e14c3c97014 restored the ability to
    disconnect RandR 1.4 providers from each other, but it's not clear from the
    documentation how to actually do that.  Try to clarify by mentioning it in the
    man page.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit a6217be2d5a93a4c7b48f4081a4a8e14c3c97014
Author: Dave Airlie <airlied@gmail.com>
Date:   Fri May 3 10:05:04 2013 +1000

    xrandr: allow disconnecting of offload and outputs
    
    Before the lookup code passing a 0 XID would disconnect,
    this fixes it backup.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Tested-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 00c795e99fe29ecd56e05e915e508c7af0ac39ad
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri May 31 17:01:54 2013 +0300

    xrandr: Use floating point for VTotal when calculating refresh rate
    
    Interlaced modes generally have an odd VTotal, so we lose half a line
    from VTotal when we divide by two. That causes the final refresh rate
    to be slightly off. Make VTotal a double to avoid the problem.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>

commit 8f9b993342fddfceaa1afbec2996ce10038f10d7
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri May 31 17:01:53 2013 +0300

    xrandr: Use more decimal places when printing various rates
    
    Using just one decimal place for dotclock and refresh rates loses quite
    a bit of information. When dealing with 60Hz vs. 59.94Hz refresh rate
    modes for example, it's useful to see at least two decimal places. For
    the dotclock in similar cases, three decimal places seems quite a bit
    better than just one.
    
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>

commit 7ede207f9064fd88427026e38818819c2c8422bb
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jan 3 05:48:17 2014 -0800

    Special-case printing of the GUID property
    
    Rather than printing GUIDs as 16 signed decimal integers, print them in
    {XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX} format.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit e7a19c8b5a26c8bfd76a7399a1a15eac01184261
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jan 3 05:22:02 2014 -0800

    Move EDID printing into a helper function
    
    Localize the specialness of EDID printing by moving it into a single function,
    print_edid, which prints the binary EDID data.  Remove the is_edid parameter
    from everything else.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit a29728ca9599fd08da1243e9b422ac26a24cc05b
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jan 3 05:14:35 2014 -0800

    Split output property printing into a helper function
    
    Move the body of the code that prints the actual output property values into a
    helper function.  This will make it easier for this function to select
    special-case property printers for properties that need special formatting.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit c5334bb4137d6ea7b8c8b10d51131b9450d1106b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 16 23:30:27 2013 -0700

    xrandr 1.4.1

commit 0e0b47341a45c138082d9f8047dcbdb91b90155d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 13 00:11:41 2013 -0700

    Combine usage message strings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 38772ec3b5a7216a88676f95b5edc764dd0a23d6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 13 00:07:26 2013 -0700

    Declare capability_name() as returning const char *
    
    Only used as an argument to printf.   Clears gcc warnings:
    xrandr.c: In function ‘capability_name’:
    xrandr.c:237:2: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
    xrandr.c:239:2: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
    xrandr.c:241:2: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
    xrandr.c:243:2: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
    xrandr.c:245:5: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f53d8511d26a26e9bd6b1bc665f6283f1efd98d9
Author: Thomas <fischer@unix-ag.uni-kl.de>
Date:   Fri Nov 9 14:33:08 2012 +0000

    Bug 56923 - Make command line options consistent (single vs double dash)
    
    Most of xrandr's command line options follow the system of single
    dashes for single character options (e.g. "-v") and double dashes for
    long options ("--version").  The only exceptions are "-display" and
    "-help", most likely for historical reasons.  To make the behavior
    consistent across all options, the following patch adds "--display"
    and "--help" as alternatives to the current inconsistency.  The man
    page got updated as well, recommending double-dash variants for both
    options. The old behavior is still supported, so the patch should not
    break any existing usage/script.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bd1502f50f0c230798bdce99dec6efc76791c024
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sun Jun 2 21:30:39 2013 +0200

    Protect config.h like usual.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ace5e2b21b2a204f94c6452fa0d8f36699aec249
Author: Andy Ritger <aritger@nvidia.com>
Date:   Thu May 2 01:20:27 2013 -0700

    xrandr: calloc XRRModeInfo's passed to libXrandr.
    
    The "--newmode" commandline option initializes an XRRModeInfo and passes
    it into XRRCreateMode().  calloc(3) it to avoid uninitialized fields.
    For consistency, calloc(3) all the places where umode_t's (the wrapper
    structure for XRRModeInfo) are allocated.
    
    Signed-off-by: Andy Ritger <aritger@nvidia.com>
    Tested-by: Nikhil Mahale <nmahale@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit eb17ad8adc9400f6ed252872f13ccf5551f9e2e9
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Feb 28 12:01:53 2013 -0800

    Print spaces between XA_ATOM property values
    
    Commit b26fd532b3dab222956ea27eef4e41345978b5b2 redid how xrandr prints
    properties.  It neglected to put spaces between the values of XA_ATOM
    properties, so they all run together.  For example,
    
        audio: auto
            supported: force-dvioffautoon
    
    Fix this by putting a space after each atom name.  In addition, some drivers
    create property values with spaces in them, so put commas between entries to
    disambiguate.  For example,
    
        Broadcast RGB: Automatic
            supported: Automatic, Full, Limited 16:235
    
    Do the same for properties with multiple valid ranges.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 222f245fb3a00308cb3ff491f5c84ac9c69c3253
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Feb 12 13:24:38 2013 -0800

    xrandr 1.4.0
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 3e5f160c4198a5160be5e9a3f21ba3f4130d4318
Merge: dac72db bd16618
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Feb 12 12:30:20 2013 -0800

    Merge branch 'fixes'
    
    Conflicts:
            xrandr.c

commit bd166184f6c1973ae2f5f99d040733db3e9e82cf
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Feb 6 14:21:57 2013 -0800

    Cast XID to unsigned int to suppress a printf warning
    
    Sorry I forgot about this in commit 138b6252c0cae6599b6c8a25ffa22ffe70f227c2.
    That change introduced a warning:
    
      xrandr.c|645 col 5| warning: format ‘%x’ expects argument of type ‘unsigned int’, but argument 2 has type ‘XID’ [-Wformat]
    
    Fix that by just casting the XID to unsigned int.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Daniel Dadap <ddadap@nvidia.com>

commit 7fd4f18b649f22fad4dbf9fc64b69b3e7f172207
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Feb 6 11:13:06 2013 -0800

    Bug #37043: adjust refresh rates for doublescan and interlace
    
    These two flags halve and double, respectively, the effective refresh rate of a
    mode.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Daniel Dadap <ddadap@nvidia.com>

commit d752d524027fbc20d9fdee06fed173e454f15370
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Feb 6 10:10:03 2013 -0800

    Bug #29603: document that there might be multiple preferred modes
    
    The X server sorts the mode list for an output with preferred modes first, and
    specifies how many preferred modes there are by setting the npreferred field in
    the XRRModeInfo structure.
    
    Update the man page to refer to preferred modes in the plural, and mention that
    --auto and --preferred use the *first* preferred mode.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Daniel Dadap <ddadap@nvidia.com>

commit b2f0bd198b1116e45389a6628b657b722b4102a4
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Feb 6 14:11:23 2013 -0800

    Bug #14118: print usage() to stdout, proper errors for bad arguments
    
    Print the usage() text to stdout instead of stderr, and then only if -help is
    specified.  Also allow --help for consistency.
    
    For other command line syntax errors, introduce a new helper function argerr()
    that prints errors of the form
    
      xrandr: %s
      Try './xrandr --help' for more information.
    
    and exits.  Use that to print proper error messages.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Daniel Dadap <ddadap@nvidia.com>

commit 0a26e076e10a3c7461d59c830cdc10688d66824f
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Feb 6 13:08:58 2013 -0800

    Bug #11397: check that numeric --orientation arguments are in range
    
    The only valid parameters to -o (--orientation) are 0, 1, 2, 3, normal, left,
    inverted, and right.  xrandr converts the strings to numbers and then checks
    that they're within range, but doesn't validate them if it was numeric to begin
    with.
    
    Move the range check outside of the if statement so that out-of-range numeric
    values are rejected properly.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Daniel Dadap <ddadap@nvidia.com>

commit dac72dbbc7501483eccec71bbf0db05a56756109
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Aug 24 21:43:13 2012 -0700

    xrandr: Fix variable declaration warnings
    
    There are piles of places in the code where a variable shadows either another
    variable or a global function:
    
      xrandr.c:545:35: warning: declaration of ‘index’ shadows a global declaration [-Wshadow]
      xrandr.c:574:9: warning: declaration of ‘index’ shadows a global declaration [-Wshadow]
      xrandr.c:967:19: warning: declaration of ‘gamma’ shadows a global declaration [-Wshadow]
      xrandr.c:1329:16: warning: declaration of ‘gamma’ shadows a global declaration [-Wshadow]
      xrandr.c:2055:28: warning: declaration of ‘outputs’ shadows a global declaration [-Wshadow]
      xrandr.c:2068:29: warning: declaration of ‘outputs’ shadows a global declaration [-Wshadow]
      xrandr.c:2928:16: warning: declaration of ‘output’ shadows a previous local [-Wshadow]
      xrandr.c:2995:15: warning: declaration of ‘output’ shadows a previous local [-Wshadow]
      xrandr.c:3016:15: warning: declaration of ‘j’ shadows a previous local [-Wshadow]
      xrandr.c:3018:19: warning: declaration of ‘rotations’ shadows a previous local [-Wshadow]
      xrandr.c:3116:15: warning: declaration of ‘crtc’ shadows a previous local [-Wshadow]
      xrandr.c:3170:8: warning: declaration of ‘k’ shadows a previous local [-Wshadow]
      xrandr.c:3243:20: warning: declaration of ‘mode’ shadows a previous local [-Wshadow]
    
    'index' and 'gamma' are C library functions:
    
      index (3)            - locate character in string
      gamma (3)            - (logarithm of the) gamma function
    
    The rest of these are either variables or function parameters.
    
    When possible, move the declaration of a variable into the block where it is
    used, including in cases where the same variable is used in multiple blocks but
    the later block doesn't depend on the value from the earlier block.
    
    In a few cases, rename the variable in the outer scope to be more specific (e.g.
    output -> config_output) so the more generic variable in the inner scope (e.g.
    the 'output' variable used to iterate over all outputs) doesn't have to change.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Andy Ritger <aritger@nvidia.com>

commit 138b6252c0cae6599b6c8a25ffa22ffe70f227c2
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Feb 4 16:17:24 2013 -0800

    xrandr: look for providers by name or xid
    
    Use the name_t infrastructure to allow specifying providers by name, index, or
    XID.  This means that numbers without a "0x" prefix will now be interpreted as a
    indices rather than XIDs.  To match that, print provider XIDs in hexadecimal.
    
    Print an error if a provider-related option is specified and RandR 1.4 isn't
    supported.
    
    Make get_screen robust against being called multiple times.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit a93b77b15fa2463c7fd06c6898b9c9f737c3ae8a
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Feb 4 16:05:11 2013 -0800

    xrandr: make providers a first-class citizen
    
    Create a struct _provider to match the existing output, crtc, etc. objects.
    Build that from a new get_providers() function.  Use that to populate the list
    when querying the providers.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit 8ce9d1fa48a7556e9aee090e5d72566dbb9a32f8
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Feb 4 15:20:21 2013 -0800

    man: document provider options
    
    I hope I got the --setprovideroffloadsink parameters the right way around.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit d07ef58f0cb6920dedc00c1e39cc6a5d0f31775e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 20 12:32:15 2013 -0800

    Fix -Wformat warnings about passing longs where ints were expected
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ee548dde0f5bcc6503ad2f74af5261fbf022dada
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 20 12:28:04 2013 -0800

    Mark fatal() and warning() as taking printf-style arguments
    
    Silences -Wformat-nonliteral warnings about them passing through
    unknown format arguments to vfprintf.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 77b03188b14cdef4523184a73b25fb2703d52685
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 20 12:24:24 2013 -0800

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a9a92e85b2f8ea54855a3b45eb0882d7da50c1a8
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 16 13:02:57 2013 -0500

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4a15ed3b1edd22d67307620f2265faf365700519
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 16 13:03:39 2013 -0500

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 094b40e89707828df2bb7b204a97eed256a3c3fd
Author: Pierre-Loup A. Griffais <pgriffais@nvidia.com>
Date:   Wed Dec 19 12:32:03 2012 -0800

    xrandr: print primary output
    
    Sample output:
    
    LVDS-0 connected primary 1920x1080+1920+120 [...]
    
    Signed-off-by: Pierre-Loup A. Griffais <pgriffais@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Tested-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit b26fd532b3dab222956ea27eef4e41345978b5b2
Author: Andy Ritger <aritger@nvidia.com>
Date:   Fri Sep 7 17:58:46 2012 -0700

    xrandr: generalize output property printing
    
    Signed-off-by: Andy Ritger <aritger@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>

commit 7a22279cadf7d1a2064cf985acc015401407d71c
Author: Andy Ritger <aritger@nvidia.com>
Date:   Fri Sep 7 17:58:45 2012 -0700

    xrandr: extend '--set' syntax to allow a comma-separated list of values
    
    Signed-off-by: Andy Ritger <aritger@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>

commit 7cb20881991c8bcf7e8fa0af6ad0f85682f98e1f
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jan 20 17:40:41 2012 +0000

    xrandr: add provider interfaces
    
    This adds an initial interface to list and configure offload and output
    providers.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit a36e6d38ffd9831188758658ff36a0b88e43ba67
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Aug 24 21:02:26 2012 -0700

    xrandr: Fix string constness bugs
    
    Sufficiently new versions of GCC treat string literals as "const char *" by
    default.  This means that several places that assign, return, or initialize
    char* from a string literal generates a warning:
    
      xrandr.c:54:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:55:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:56:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:57:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:58:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:61:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:62:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:63:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:64:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:65:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:69:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:70:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:71:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:72:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:73:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:74:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:80:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:81:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:82:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:83:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:84:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:85:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:86:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:87:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:88:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:189:2: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:193:5: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:202:2: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:204:2: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:206:2: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:208:2: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:210:5: warning: return discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:359:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:360:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:361:5: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:593:23: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:1189:28: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:1191:28: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:1587:39: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:1588:30: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:1589:38: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:1590:48: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:1591:42: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:1592:25: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:2544:28: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:2546:28: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:2585:28: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
      xrandr.c:3228:17: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
    
    Fix as many of these as possible.  This introduces one problem:
    XRRSetCrtcTransform takes a non-const char* filter parameter even though it
    doesn't actually modify the string.  Instead of trying to work around that, just
    live with the warning for now:
    
      xrandr.c:1459:9: warning: passing argument 4 of ‘XRRSetCrtcTransform’ discards ‘const’ qualifier from pointer target type [enabled by default]
      /X/include/X11/extensions/Xrandr.h:383:1: note: expected ‘char *’ but argument is of type ‘const char *’
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b501dd3adfac13e15e619898d4447d83b8301dd3
Author: Andy Ritger <aritger@nvidia.com>
Date:   Fri Aug 24 15:53:09 2012 -0700

    xrandr: compute gamma-correction in [0,2^sigbits)
    
    The gamma-correction lookup table values are 16:16:16 X Colors, where the
    MSBs are programmed into the hardware lookup table.  Rather than compute
    values over the entire range [0,65536) (where values below 2^(16 - sigbits)
    will receive the same hardware value), compute values over the range
    [0,2^sigbits) and left shift by (16 - sigbits) into the MSBs.
    
    Signed-off-by: Andy Ritger <aritger@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 90afd01788be7bf19e441a59dca0d8057c5267b1
Author: Andy Ritger <aritger@nvidia.com>
Date:   Fri Aug 24 15:53:08 2012 -0700

    xrandr: fix gamma == 1.0 && sigbits != 8
    
    The gamma-correction lookup table managed through XRR[GS]etCrtcGamma is
    2^n in size, where 'n' is the number of significant bits in the X Color.
    Each element in the gamma-correction lookup table is a 16:16:16 X Color
    (i.e., in the range [0,65536) ).  The significant bits of each component
    of each element in the lookup table are programmed into the hardware
    lookup table.  Meaningful values in the gamma-correction lookup table
    are thus in the range [0,2^sigbits), where all values are shifted into
    the MSBs (i.e., left shifted by (16 - sigificant bits)).
    
    Signed-off-by: Andy Ritger <aritger@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 6bf48ae8d8db58ab74182383e54332f120f024c2
Author: Andy Ritger <aritger@nvidia.com>
Date:   Fri Aug 24 15:53:07 2012 -0700

    xrandr: use 1/gamma to compute gamma-correction
    
    To compute a gamma *correction* lookup table, use the specified gamma
    value as the divisor in (1.0/gamma).  This matches the semantics of
    xgamma(1) and the "gamma-value" and "{red,green,blue}-gamma" xorg.conf(5)
    options.
    
    For more details, see:
    http://www.poynton.com/PDFs/TIDV/Gamma.pdf (Gamma in computer graphics, page 17)
    http://cgit.freedesktop.org/xorg/xserver/tree/hw/xfree86/common/xf86cmap.c:ComputeGamma()
    
    Signed-off-by: Andy Ritger <aritger@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 755234bd2ce0f3acde6507aba94b1e53a5a72f9b
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Thu Aug 23 12:26:57 2012 -0400

    Running text interspersed with options prevents DocBook translation; remove.
    
    The information the text conveys is not really needed at that point,
    either. It's duplicated later in the manual page.
    
    Signed-off-by: Eric S. Raymond <esr@thyrsus.com>

commit b9d260a49961b5e311e77e8600e7e5a8f2e8d475
Author: Keith Packard <keithp@keithp.com>
Date:   Tue May 1 21:53:02 2012 -0700

    keystone.5c: cairo-5 box semantics changed default layout
    
    cairo-5c version 1.6 includes a new 2D box layout widget that
    needs widget stretch defined in both dimensions to create
    the desired layout.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1e5a973ad2da9aaf3c025656db4ba83ff9e6c207
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Apr 23 12:41:15 2012 -0700

    Add a --scale-from option
    
    A typical case for wanting to specify a scale on an output is making your
    framebuffer be one size and scaling it to fill an output of a different size.
    Instead of making the user calculate the scaling factors to be specified by
    --scale, add a new option, --scale-from, that lets the user specify the
    framebuffer size directly.  Compute the appropriate transform to achieve the
    desired target size.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Andy Ritger <aritger@nvidia.com>

commit 45b21c41ef3abd73de11d1adc6f5475105e1a5b7
Author: Pierre-Loup A. Griffais <pgriffais@nvidia.com>
Date:   Tue Mar 20 16:46:22 2012 -0700

    xrandr: move transform limit checking after scaling
    
    This would trigger for legit scaled matrices, resulting in the wrong
    extents getting computed.
    
    Signed-off-by: Pierre-Loup A. Griffais <pgriffais@nvidia.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 8ca08e32ee7daae75992cbf1f554ca9a389e5420
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 29 16:26:25 2012 +1300

    Update keystone program to run with new nichrome bits
    
    Will also work with old nichrome bits.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5161ba39a3c13caa5cab953a17f509a6a5b09e7b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Nov 11 11:34:38 2011 -0800

    Include strings.h for strcasecmp
    
    Our minimum requirement for X11 is currently Unix98.  Unix98 provides
    strcasecmp in <strings.h>.  This commit fixes implicit declarations
    of this function on systems that closely adhere to the standard.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit e68059e9ecc4225360a522138aedcedad7fe117f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Aug 6 19:06:42 2011 -0700

    xrandr: Preserve current mode when switching crtcs
    
    When switching output crtcs, preserve any current mode in preference
    to selecting whatever mode is currently in use on that crtc.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5185a18a016d9ccbfea3a3cdb314041268222708
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jul 20 14:34:19 2011 -0400

    Document the rarer --newmode flags in --help output
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9e7a1f88de66c65cca1eb732278f76dab125f30e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 29 21:18:23 2011 -0700

    xrandr 1.3.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a187677a93a215ccbba819f98425a6c682a50a6c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon May 9 09:26:34 2011 -0700

    find_mode: Search for the mode closes to the specified rate
    
    This was the intention of d9aeb4a7544ad4a33f6f54bc46bff5cdf231a986, but
    find_mode was still picking the first string match rather than the
    match with the closest refresh rate.
    
    xrandr.c:740:3: warning: Value stored to 'bestDist' is never read
                   bestDist = dist;
                   ^          ~~~~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 30e9137bf94f58f66cc6883b0a47eab3159c8be6
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 8 16:42:50 2011 -0700

    Dead code removal
    
    xrandr.c:2978:33: warning: Value stored to 'first' is never read
                        if (!first) printf (" "); first = False;
                                                  ^       ~~~~~
    xrandr.c:2966:30: warning: Value stored to 'first' is never read
                            if (!first) printf (" "); first = False;
                                                      ^       ~~~~~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 1e48aad532aa19a35efbee24cddca4c43e02afe7
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 8 16:35:47 2011 -0700

    Dead code removal
    
    Removing the redundant setting of format = 32 in the XA_ATOM case.
    It was already set to that earlier whe it was assigned actual_format.
    
    xrandr.c:2770:3: warning: Value stored to 'format' is never read
                    format=0;
                    ^      ~
    xrandr.c:2782:7: warning: Value stored to 'format' is never read
                        format = actual_format;
                        ^        ~~~~~~~~~~~~~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit dd2a2e7dc918c57aae3df57118042e4362377243
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 8 16:29:51 2011 -0700

    Mark usage, fatal, and panic as _X_NORETURN
    
    xrandr.c:634:13: warning: Access to field 'next' results in a dereference of a null pointer (loaded from variable 'output')
        output->next = NULL;
        ~~~~~~  ^
    xrandr.c:1214:6: warning: Access to field 'mode' results in a dereference of a null pointer (loaded from variable 'crtc_info')
            if (crtc_info->mode == None)
                ^~~~~~~~~
    xrandr.c:1252:5: warning: Array access (via field 'outputs') results in a null pointer dereference
        crtc->outputs[crtc->noutput++] = output;
        ^     ~~~~~~~
    xrandr.c:1638:33: warning: Access to field 'name' results in a dereference of a null pointer (loaded from variable 'output_info')
            set_name_string (&output_name, output_info->name);
                                           ^~~~~~~~~~~
    xrandr.c:1725:10: warning: Access to field 'changes' results in a dereference of a null pointer (loaded from variable 'output')
                if (output->changes)
                    ^~~~~~
    xrandr.c:1848:10: warning: Access to field 'mode_info' results in a dereference of a null pointer (loaded from variable 'relation')
                if (relation->mode_info == NULL)
                    ^~~~~~~~
    xrandr.c:3194:11: warning: Array access (from variable 'mode_shown') results in a null pointer dereference
                        if (mode_shown[j]) continue;
                            ^~~~~~~~~~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d58d70f6781308de2f905b71a0bfcea1506b0008
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3b18de7f030b89bcbaa54686490c406f73f824d0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7c3b0664e6ee3c3e43724c3922257e1138accd7c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:48 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b94179dd0538c73ff4628d43f4b8f492351ddd9c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 275249f6d162c8ce8a080bef8a2955fd8e72b67c
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Jan 10 17:56:16 2011 +0100

    Add --current to usage.

commit 2b67c3d80d1e7736cf4fe9f093ab604dc02ad7be
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:28:41 2010 -0700

    xrandr 1.3.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 46c3cb9103ecd6f73a2908bb93004658069639c5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:26:40 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 52016812038732a3aabc6dfb63ded9d07de703ee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:25:53 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5b74ff83949432b8abb9453415426a515e45eb20
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Oct 30 11:24:14 2010 -0700

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c7b90939f0ffcad17a5cc6cf1e28f7b027feeba5
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Oct 12 21:20:18 2010 +0200

    Call QueryExtension before any other RandR function (bug#30806)
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 051f912f1c009a2c318214e6b3e86fa5f576d0ff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 22 19:39:27 2010 -0700

    Bug 29348 - dot clock parameter missing from --newmode in man page
    
    https://bugs.freedesktop.org/show_bug.cgi?id=29348
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit a06506ca5df0a69e0ca27845855187ff62b78a9d
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Jul 19 18:07:56 2010 +0100

    Bump to 1.3.3

commit 2cc54b2f6280cc2e5519b572f960ecef36d750ac
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Jul 19 18:06:56 2010 +0100

    Require xorg-macros 1.4 for XORG_INSTALL

commit 7e6b0adcbd6c9e691b538f99536dcd7106ed1f6a
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Jul 19 18:05:37 2010 +0100

    Kill cvs keyword

commit 61fc9cc04e1ac179ac5e2cc4ff861bb362f0b801
Author: Eric Piel <eric@triangle.(none)>
Date:   Sun Jan 10 00:08:53 2010 +0100

    xrandr: get gamma and brightness
    
    Even in verbose query mode, gamma and brigthness were not displayed.
    That's because they are not stored in the server the same way they are
    specified on the command line: they are stored as 256 * 3 u16 while
    the command line is 3 + 1 floats.  Still, this is useful info for the
    users, and they don't care about how it's stored in the server.
    
    So we do a regression over the values stored to recover info in the same
    way as on the command line: gamma and brightness.
    
    Signed-off-by: Éric Piel <eric.piel@tremplin-utc.net>
    Reviewed-By: Matthias Hopf <mhopf@suse.de>

commit b5627bb72b3ca2c7f5a702b7134a5c6dd4f83687
Author: Eric Piel <eric@triangle.(none)>
Date:   Sun Jan 10 00:08:53 2010 +0100

    xrandr: fix maximum gamma set
    
    Gamma is an array of 3 16-bit values. Currently, the maximum value assigned is
    255*256, which is only 65280. Make sure that when we set the gamma, the maximum
    value is 65535. It's slightly brighter but also helps to avoid kludges to
    detect clamped values when reading back the gamma.
    
    Signed-off-by: Éric Piel <eric.piel@tremplin-utc.net>
    Reviewed-by: Matthias Hopf <mhopf@suse.de>

commit d138c73276226ce424d36e80ce745aa9461f110e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:07 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ac6606d8da914610446c5327813798bfbba4d6c2
Author: Éric Piel <eric.piel@tremplin-utc.net>
Date:   Wed Jan 6 14:42:15 2010 +0100

    xrandr: fix brightness to prevent gamma to overflow and to allow 0
    
    With the new brightness option, gamma would overflow with values > 1,
    leading to rainbow looking screen.
    
    In addition, have the brightness by default to 1, so that specifying 0
    actually does the expected behaviour of leading to a black screen.
    
    Signed-off-by: Éric Piel <eric.piel@tremplin-utc.net>
    Reviewed-by: Matthias Hopf <mhopf@suse.de>
    Reviewed-by: Mikhail Gusarov <dottedmag@dottedmag.net>

commit ccb3f8a42b25819cd1812f179544b52c2f03d1aa
Author: Yann Droneaud <ydroneaud@mandriva.com>
Date:   Tue Nov 17 15:39:02 2009 +0100

    xrandr: Remove --clone / --extend support code
    
    Code handling --clone and --extend is not used.
    The usage message regarding those options was already commented out.
    
    Signed-off-by: Yann Droneaud <ydroneaud@mandriva.com>
    Acked-by: Matthias Hopf <mhopf@suse.de>

commit 1f8e27cd71560c154f6b1f7472ae2518f5df10e0
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Jan 5 14:58:42 2010 +0100

    Language fixes.

commit 5f7d052d63875f059f5693c68ee9fdf559ad5300
Author: Yann Droneaud <ydroneaud@mandriva.com>
Date:   Tue Nov 17 15:39:01 2009 +0100

    xrandr: Use a prefix for enum type _policy and _relation like other enums in xrandr.c
    
    Try to apply the same coding style to enum _policy and enum _relation.
    
    This patch also workarounds bug #12958 .
    
    Signed-off-by: Yann Droneaud <ydroneaud@mandriva.com>
    Acked-by: Matthias Hopf <mhopf@suse.de>

commit b481bd0df87c6b474d8c443b6590bbafac482485
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Sun Oct 25 03:41:05 2009 +0600

    Add --brightness for CRTC
    
    --brightness n.m adjusts gamma set for CRTC in order to compensate
    for overly bright or overly dark unmanageable outputs.
    
    Signed-off-by: Matthias Hopf <mhopf@suse.de>

commit 7d463218c584b683c9946cbff44bc69115eaa11b
Author: Matthias Hopf <mhopf@suse.de>
Date:   Sun Jan 3 00:40:19 2010 +0100

    xrandr: add more information about the transform option in the manpage
    
    Add information about the transformation, stating it's a homogeneous
    coordinate transformation and adding the (simplified) pixel calculation
    formula. Also and an example of keystone shaping generated using the algorithm
    found in xkeystone.
    
    Based on a patch by Eric Piel <eric.piel@tremplin-utc.net>
    
    Signed-off-by: Matthias Hopf <mhopf@suse.de>

commit 27f86db064a5ea60b942fd3d3ddeb462d980df9b
Author: Dominik Jasiok <yahoo.com.pl@gmail.com>
Date:   Tue Dec 22 10:48:04 2009 -0800

    xrandr: check_strtod should return double, not int
    
    check_strtod performs error checking around strtod to ensure that
    arguments are correctly processed. However, it also accidentally(?)
    cast the result to int, which was then universally cast back to double
    by all callers. Narrowing and re-widening the type doesn't make any sense.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit df254d851cae1dcd1032e307bc828a5800e7342c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 22c90544537e661b71705c59e35616abb5aa4e55
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 35ffd6a8768e16d6fc7bc7c840e35a7802796b21
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit a397f434db4f30e22534b8fe684b8f67f493db40
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 436a873b54990b77ac8024e20284de53c58c7850
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit b81a4976701606d1406ff56b91f13331e5f35860
Author: Yann Droneaud <ydroneaud@mandriva.com>
Date:   Tue Nov 17 10:34:41 2009 +0100

    xrandr: Remove test against RANDR_MAJOR/RANDR_MINOR
    
    xrandr.c uses structures defined in <X11/extensions/Xrandr.h>
    provided by 'libXrandr' package but tests structures availability
    through RANDR_MAJOR/RANDR_MINOR defined in <X11/extensions/randr.h>
    provided by 'randrproto' package.
    
    Sometimes they are not in sync so it's safer to rely on checks made
    by configure script through pkg-config.
    
    In my test case, XRRPanning structure is not defined in Xrandr.h,
    RANDR_MAJOR is 1 and RANDR_MINOR 2 but xrandr.c try to use it anyway.
    (for the record, XRRPanning was added in libXrandr-1.2.91).
    
    Signed-off-by: Yann Droneaud <ydroneaud@mandriva.com>
    Reviewed-by: Rémi Cardona <remi@gentoo.org>

commit b84560759141ed52b8779c184184f888e9be8b2f
Author: Éric Piel <eric.piel@tremplin-utc.net>
Date:   Mon Oct 26 14:11:02 2009 +0100

    xrandr: do not segfault when "--scale" or "--transform" have no output
    
    "xrandr --scale 2x2" segfaults, because the --scale (and --transform)
    options do not check for an existing output.
    
    Make sure there is an output specified (like every other options).
    
    Signed-off-by: Éric Piel <eric.piel@tremplin-utc.net>
    Signed-off-by: Matthias Hopf <mhopf@suse.de>

commit 34829957441a10f6b6e31141aa1018f7a72aeaf9
Author: Éric Piel <eric.piel@tremplin-utc.net>
Date:   Mon Oct 26 13:57:10 2009 +0100

    xrandr: make --query really the default option
    
    The manpage states that "--query" is the default action when nothing
    specific is requested. However, some options such as "-display" or
    "--screen" lead to do nothing by default. This makes sure that unless
    something specific is requested, query is done.
    
    This also restores the behaviour of --q1 to the same one as the old
    xrandr: also display the info on rotation and reflection by default.
    
    Signed-off-by: Éric Piel <eric.piel@tremplin-utc.net>
    Signed-off-by: Matthias Hopf <mhopf@suse.de>

commit 07bf47f32b1f4c256e32b5b47ab52ef55605370a
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:21 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 8d2702cae3b6a78cfd8d480dfb8209091917af2a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:29 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 5da0cb3533aa829588b2e6d715d511691fa1e45f
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Sep 10 13:18:35 2009 +0200

    Bump to 1.3.2

commit e5861530a6c3bb6219217e5f3ddc71f13b9509c4
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Sep 10 13:17:56 2009 +0200

    Add missing 'static's to get rid of warnings.

commit ab875be43651befa654a24719f1ea365dde09073
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Thu Feb 7 14:03:24 2008 -0800

    changed a bunch of string to number conversions for reliability

commit 25325aae2e80cb33af17682a6cd1bcd292a5f445
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Fri Sep 4 15:36:51 2009 +0200

    Warn if one of the outputs given did not exist

commit 713a8ea5646f7c893b52afeb3c2443b21b837e46
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Aug 11 16:11:39 2009 +0200

    Bump to 1.3.1
    
    Also finally bump xrandr requirement to 1.3

commit b9166441bdb08ef76b9c6712da5902b0dcbf03f3
Author: Federico Mena Quintero <federico@novell.com>
Date:   Mon Jul 20 16:44:52 2009 -0500

    bfo#22864 - grab the server around all modifications to CRTCs
    
    We were not grabbed while disabling the CRTCs that should be off, so other clients could think
    that there was an intermediate stage with no enabled outputs.
    
    Signed-off-by: Federico Mena Quintero <federico@novell.com>

commit 68d5134142e3c616f3996c7ea8d08c887ce56118
Author: Éric Piel <E.A.B.Piel@tudelft.nl>
Date:   Tue Jul 14 21:36:32 2009 +0200

    xrandr: Document --nograb option
    
    Op 08-07-09 15:19, Matthias Hopf schreef:
    > On Jul 07, 09 22:02:51 +0200, Éric Piel wrote:
    >> Op 21-05-09 13:23, Éric Piel schreef:
    >>> This documents the --nograb option with whichever I could understand of
    >>> the advantages and drawbacks of grabbing the screen.
    >>>
    >>> Also fixes the formatting in the xrandr 1.3 options.
    >> Please review and apply.
    >
    > Please resend as attachment.
    >
    Please find attached the git patch.
    
    Thanks,
    Eric
    
    >From 34e7c1036ba0e0d7827563deaffea9371031fa0b Mon Sep 17 00:00:00 2001
    From: Eric Piel <eric.piel@tremplin-utc.net>
    Date: Thu, 21 May 2009 13:01:52 +0200
    Subject: [PATCH] xrandr: Document --nograb option
    
    This documents the --nograb option with whichever I could understand of
    the advantages and drawback of grabbing the screen.
    
    Also fixes the formatting in the xrandr 1.3 options

commit 73e38a31e5b7c68f8f3227a47d98ec55097999c7
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Jul 6 18:30:05 2009 +0200

    Fix missing prototype warning.

commit 3408ca77af6a45b15b89bdd1ce9d5aac9646f6b8
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Jul 6 18:28:23 2009 +0200

    Report program version as well with --version.
    
    This has bitten us too often already (the infamous uncloning bug).

commit 47502f66f7c51ad575d63f28de49f285c4de7062
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Apr 1 11:03:10 2009 -0400

    xrandr 1.3.0

commit beb228842c77fab4a446e028dd501a01f0fb3fd3
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Feb 17 13:45:32 2009 -0500

    Allow zero replies from GetPanning to mean panning is unavailable.

commit 9418f5523bd923b122f6e67c33c40e0e9c29ab50
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Mar 4 15:49:10 2009 -0800

    Set the screen config on the correct screen.
    
    Otherwise, "DISPLAY=:0.0 xrandr --screen 1 -s 1" fails.

commit 39a16783a3d1c0c722b4b18fab60a91b9f6ed578
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Mar 6 14:49:43 2009 +0100

    Revert "Move outputs among crtcs as necessary. Fixes 14570"
    
    This reverts commit 4dcc8ae1a6903434def1a2706f7c68ff9e2a17c4.
    The commit broke uncloning completely again.
    
    Conflicts:
    
            xrandr.c

commit 880f045202d1e70368b855c3783604e19be946b8
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Feb 1 14:39:30 2009 +0100

    Bump to 1.2.99.4

commit 010dfc4bdd309256aecd006bb2b5b6937c2a119c
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Feb 1 14:34:15 2009 +0100

    Document the --primary and --noprimary options

commit 48014498d275a9aab986b4bf295538a5b38ddfeb
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Feb 1 14:12:21 2009 +0100

    Document the --current option

commit 909defc8a2b009ab845d875ba10e1ca01fb9d648
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 30 20:37:34 2009 -0800

    Add --noprimary option

commit 6c70e0ee693ea293e8674d049249b462f3d36855
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 30 20:11:10 2009 -0800

    Add --primary option
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 77891e7900765a320ad3d43b56bbb1f3081b6582
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 30 20:11:02 2009 -0800

    Add --nograb option
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6f3e2bb207cff069791811ef2bbe7798759ed810
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 9 21:26:50 2008 -0800

    Add --current option to use new XRRGetScreenResourcesCurrent API
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d98d1f4055d8fbae1dc8d8c54467bfef21010694
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Jan 30 17:46:05 2009 +0100

    Several fatal() were missing \n.

commit 9ea6e4210d49c13991a7d07e54f6f59e3dc8ce72
Author: Éric Piel <E.A.B.Piel@tudelft.nl>
Date:   Mon Jan 19 16:18:46 2009 +0100

    Add docs for --transform and --scale.
    
    The new --transform and --scale options were added, but not yet
    documented. This includes also an example of usage of panning and
    scaling at the same time.

commit 4d381d6a88fe147f8b6eabd765a2f42c6402d8c6
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 26 16:40:59 2009 -0200

    Correct make distcheck and gcc/sparse warnings.

commit 7509ecb290689e0b1d5e1000c9fbd312f1efb4ca
Author: Maarten Maathuis <madman2003@gmail.com>
Date:   Mon Jan 5 19:47:21 2009 +0100

    Stay away from doublescan modes unless a refresh rate is specified.

commit f77ad847c0d3f8f0c6e8ffbf0bec39e5e9c5ded0
Author: Maarten Maathuis <madman2003@gmail.com>
Date:   Mon Dec 22 19:46:24 2008 +0100

    Fix gamma computation.
    
    - The previous version sometimes overflowed.

commit 5ddde7151841a8db99a2f38689a176114b2a45e5
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Dec 18 16:09:39 2008 +0100

    Print multiple Atom and INT32 properties.
    
    Improve output formating of strings.

commit 96af64f0de71f4149740b486baaefca744bb1bc1
Author: Maarten Maathuis <madman2003@gmail.com>
Date:   Wed Dec 17 17:18:14 2008 +0100

    randr-1.2: support gamma changes.

commit 9b7a2a3d4ac7891bd5372a581e6a55a1c81497ef
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Dec 15 20:39:43 2008 +0100

    Bump to 1.2.99.3

commit e80add8a407a9327bda209ff11a97dc3336e0cab
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Dec 15 21:00:55 2008 +0100

    Add keystone.5c to EXTRA_DIST

commit c98591b0bf4753c4c075eccde6023ef644f8bf96
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Dec 15 20:36:40 2008 +0100

    Don't trash panning area, except if --panning or --fb is given.
    
    Almost anything used to reduce the screen size to the current mode size, which
    is counter-productive when panning is active.

commit 8cb63b6df9e46e8b06a57cb54ad460355b604399
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Dec 11 17:09:47 2008 +0100

    Panning tracking areas describe full screen if set to 0. Use it as default.
    
    Also improve reduced output on default tracking and borders.

commit b5efbb31ec7c27895507add4497dbfc87f930bb3
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 8 16:37:59 2008 -0500

    Accept --props synonym for --prop

commit 57cabac91099a8abd5afad75de64e54930c078ec
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Dec 8 12:24:37 2008 +0100

    Only set transforms if actually changed.
    
    Re-enables other crtc settings if transforms are not supported.

commit 970f689651fc86fa7a2ba24f0fab5f86f01af349
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Dec 4 17:47:05 2008 +0100

    Add manpage entry.

commit d030ae78e8516b916e9ea1ea81e3b4859bf35875
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Dec 4 15:57:22 2008 +0100

    Bump to 1.2.99.2, RandR requirements to 1.2.99.2

commit f6b5862f87ba7e1729c46136ef7754a06301853f
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Nov 28 17:16:11 2008 +0100

    Add panning support.

commit 1dc67ca918446cb7db4819f60f36e7bc6f4c047b
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Dec 6 11:40:53 2008 +0100

    Don't use GNU make only constructs.

commit 7963d4217c12d2e4b0c38ad4ff185462784609f7
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Dec 1 23:27:51 2008 +0100

    Require libXrandr 1.2.91

commit ba78e14c8c43a141fc5227e7bb75d6cfd0f70dba
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Dec 1 21:45:47 2008 +0100

    Fix build outside of the source dir

commit 63ba316bcbe8ad61ba63d9fe62c82e7d56dcc399
Merge: a813c4d 1b95e32
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Dec 1 21:33:35 2008 +0100

    Merge branch 'transform-proposal' of git.freedesktop.org:/git/xorg/app/xrandr

commit 1b95e32b4b0a4a114e0fbebe8a18316d2f9010cf
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Nov 14 14:14:24 2008 -0800

    Add --scale and --transform to --help output

commit e9a5d1c598cd0440f062240430a9b86b4d514ada
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Nov 14 14:13:51 2008 -0800

    Check return value from XRRGetCrtcTransform
    
    XRRGetCrtcTransform will return 0 if the X server does not support this
    request.

commit a813c4da7f0b166ee9001fa97c5d8d64e5b5b560
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 19 09:39:00 2008 -0700

    Man page typo fix

commit 8ef4595aef15b7326822849a50c273f2a2b4ba30
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Aug 15 21:23:13 2008 +0200

    Manpage typo fixes

commit 977275a13be0687efc3db1fd3763174ff1256210
Author: Eric Piel <E.A.B.Piel@tudelft.nl>
Date:   Sun Aug 10 23:28:25 2008 +0200

    update the manpage
    
    Describe all the options supported, including: --dryrun, -display,
    --q1, --q12, and --rate for 1.1
    Describe all short and long version of the option.
    Use the usual man style for the option arugments.
    Move the four --*mode options out of the output section as they are
    independant of an output.
    Mention cvt for computing modelines.
    Gives some examples.

commit 3046799a06ecb79211ef0f4a2db9de4eec7233fb
Author: Egbert Eich <eich@freedesktop.org>
Date:   Sun Aug 3 13:24:49 2008 +0200

    Fix for 64bit: feed a pointer to the right size variable to scanf().
    
    XID is unsigned long, however %x in scanf takes a pointer to an unsigned int.
    Thus with XID xid, a sscanf(..., "0x%x", &xid) will most likely produce the
    wrong results.

commit 0d2082e9eb25cb7410309eed908b7f95abb8da79
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Apr 1 23:46:02 2008 -0700

    Exit when select output is not available

commit 18a189993b3df8bc54a79e0d62240ef203d6f34f
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Apr 1 23:44:50 2008 -0700

    Fix up xkeystone to use current screen/output settings

commit 9e8860f9231926090462ea20132cc9e1d64e5fe4
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Mar 30 19:03:53 2008 -0700

    Execute xrandr to set keystone correction

commit 206bfbea4ebe854fdfa66e8a6fbd9296b6004c0e
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Mar 30 19:03:29 2008 -0700

    add --transform none to reset to identity

commit 443e1f80c885133ae6df590f1a7663833c76b7f3
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 21 23:29:41 2008 -0700

    Build and install xkeystone program from keystone.5c

commit a7a7eea510b5a87c1e12516fadae4d13bd26e0a0
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 21 23:26:30 2008 -0700

    Track toolkit name change (chrome->nichrome)

commit 74dae9d4b06369a1863e7a68b7b3772751e06ff1
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 21 03:17:44 2008 -0700

    Add keystone.5c program to help compute transforms.

commit 46bd35dd9004c0f9f47dc44b77a8c28e3ab7ced1
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 21 03:17:40 2008 -0700

    Make screen undersize a warning instead of an error

commit b816bf38b418618c2f1cb5ded09aa3b346f8eb15
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 18 16:04:34 2008 -0700

    Add --transform to pass arbitrary transforms to the server

commit 3809884530223e32f7026ec987257cb91e2122a9
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 18 16:04:22 2008 -0700

    Eliminate inverse matrix from randr transform protocol
    
    It is easier, and potentially more precise, to compute the inverse in the
    server where everything can eventually be kept in floating point form.

commit 854a7c2916455fec5ec1ba87576e26706d151381
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 17 13:59:40 2008 -0700

    Transform mode bounds when computing sizes.
    
    Ensure screen sizes are compared with projected mode image, including
    rotation and transformation.

commit bed3da4feaa505a5b50a4c94b0e6661bdac1fcbd
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Mar 15 00:35:08 2008 -0700

    Manage transform filters. Use bilinear for non-identity scale.
    
    This involved creating a compound transform datatype to hold all of the
    relevant transform and filter information. Adding arbitrary transforms
    should be fairly easy at this point.

commit ba35bb5d306f4edf9a47b92f249132a0814f5db1
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 10 21:19:41 2008 -0700

    Add output scaling using the 1.3 transform requests

commit 4dcc8ae1a6903434def1a2706f7c68ff9e2a17c4
Author: Hong Liu <hong.liu@intel.com>
Date:   Mon Mar 10 21:37:09 2008 -0700

    Move outputs among crtcs as necessary. Fixes 14570
    
    This patch makes new requests override existing crtc allocations. Outputs
    with restricted crtc usage can now force existing outputs to switch
    automatcially.

commit 7465357396e2f32325791e27f28cbbe9753db3ab
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Mar 7 16:38:28 2008 -0500

    xrandr 1.2.3

commit 4450756d2d1d86f3c0bfaef81f6265f795468f32
Author: Brice Goglin <bgoglin@debian.org>
Date:   Sat Dec 15 00:59:00 2007 +0100

    Clarify the ability to manipulate multiple outputs in the manpage

commit 5c2a003adab4aaa979a095e18793b01cfa694bf4
Author: Brice Goglin <bgoglin@debian.org>
Date:   Sat Dec 15 00:49:35 2007 +0100

    Allow the same output to be specified several times on the command line
    
    Without this
      xrandr --output FOO --mode 1024x768 --output FOO --rotate left
    only changed the mode but did not apply the rotation.
    
    Reported by Marc Haber in
      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=455225

commit ab5e07fdd10f6340289b786414804a034ca98f0b
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Nov 30 16:13:51 2007 +0100

    Add another test known to fail.

commit 4bc84c331f4f0f0658ad1f6c0107e3e6af2a7911
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Nov 29 19:54:34 2007 +0100

    Add informational output for known issues.

commit 3fb533ff896bd642200e7242c4d35a887faeca74
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Nov 29 19:54:03 2007 +0100

    Add more tests, mostly regarding crtc switching and uncloning.

commit 20c8a60950cb5b4ddef305dc9822bec1c33e938c
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Nov 21 16:48:23 2007 +0100

    Oops. Fix missing space introduced by last commit.

commit 3347c849462b737a873a279c24d17c873667c821
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Nov 21 16:47:08 2007 +0100

    Be more robust in test case if mode database is borked.
    
    If modes are reported multiple times per output only bother for the last.

commit 81e8f2f5673befded3320424f4511e322d41c80b
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Nov 21 16:41:33 2007 +0100

    Some minor issues in test case fixed.
    
    'my' not being used correctly.
    Some lines of xrandr --verbose output missing in failure case.
    If order of outputs change in xrandr -q output they are sorted into original
    order now.

commit 3a27185879e7a9288de960ccb26a48104cf592e3
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Nov 20 13:03:07 2007 +0100

    More tests for ambiguous xrandr output.

commit c9bd9721e162e4d9d83dd60400c75d4cc98090bd
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Nov 19 20:06:39 2007 +0100

    Use IDs for mode selection instead of hand-crafted <w>x<h>@<r> strings.
    
    Some machines provide e.g. multiple 1024x768@60 modes with /slightly/
    different timings. Often only one of them can be used on multiple outputs.

commit a05d2b6e3ffd81ecc0be98b8d2b758505fb55f3f
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Nov 19 12:24:04 2007 +0100

    Improved test script.
    
    Allow for outputs in "unknown" state.
    Check xrandr return value.
    Output full xrandr --verbose output if test failed.

commit e15a527b6cf1e66709eae4547c8e8bd3402362fe
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Nov 12 15:25:44 2007 +0100

    Add xrandr test suite.
    
    At the moment it only tests setting one output at a time, it should be
    improved to add some multi-output setting as well.  Also it only tests clone
    modes at the moment, no multi-monitor setups.

commit f7aaf8947a0f216ffedc7040b0a1ef153b471425
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Nov 12 15:19:52 2007 +0100

    Always reset other outputs using the best crtc.
    
    pick_crtcs_score() didn't set up crtcs references correctly if anything but
    the last output resulted in the best score.

commit 307f3686d3d517cb29b8e66d8ad2ff76a48748b7
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Nov 12 15:18:30 2007 +0100

    Verify crtc against previous config.
    
    When selecting a crtc for an output, it doesn't check for already attached
    outputs in check_crtc_for_output(), and so may select an crtc that is already
    in use.
    E.g. when changing from a cloned mode the displays won't be split up to
    different crtcs, but the same crtc will be used, changing the resolution for
    the unspecified display as well.

commit 4834439ce62e41204367cf5356a7a1719870791f
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Oct 11 16:54:40 2007 +0200

    Build ChangeLog from git-log automatically.

commit 2fa28afb035cf2d2efb077db58d3858c57189be4
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Tue Oct 2 11:06:18 2007 -0400

    Death to ChangeLog

commit 0cfaad401711092f8858cdec64e4d4f33023f398
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Tue Oct 2 11:06:02 2007 -0400

    Update COPYING

commit 06d7272d845033fe3c6f0625cce5a32e7be636a7
Author: Brice Goglin <bgoglin@debian.org>
Date:   Thu Aug 9 19:06:37 2007 +0200

    When invoked with no option, xrandr dumps existing modes

commit b9b2fbbf7a7dd156d1fdffac2e4a4046f58baabb
Author: Brice Goglin <bgoglin@debian.org>
Date:   Thu Aug 9 19:04:58 2007 +0200

    Add *current and +preferred to the --verbose output

commit 200491c1fad5ea1a733dfbac799a2ebea0a2f23c
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Jul 4 20:05:03 2007 -0700

    Bump to 1.2.2

commit 9db36331a2acafbf2dab05f481ce16ab094fde52
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Jul 4 20:04:29 2007 -0700

    Print out mode flags in --verbose mode

commit 49058de9b743f5196f97fb13cd9a695087b1299c
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Jul 4 19:41:32 2007 -0700

    Mark 1.1 options as inconsistent with 1.2 options

commit c58e79a9c4c3967fb31a49a610a37b5797426415
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Jun 21 15:57:37 2007 +0100

    Document 1.2.1 options

commit 0499ce5ed6378bc68cbf8eafc9932ddf495ae708
Author: Keith Packard <keithp@dulcimer.keithp.com>
Date:   Sat Jun 30 14:00:30 2007 -0700

    When simple CRTC allocation fails, search all available configs.
    
    When enabling an output, if there isn't an idle CRTC available, try to
    reconfigure existing outputs to make things work.

commit 0f2014e67193eb0f8e12ab1c3d5cae8991ba439d
Author: Keith Packard <keithp@dulcimer.keithp.com>
Date:   Sat Jun 30 13:09:45 2007 -0700

    Clean up code structure a bit

commit 63d385f2c24c522d974652da138a83d78014713e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jun 21 09:35:53 2007 -0700

    Add *~ to .gitignore to skip emacs & patch droppings

commit 4bd2f4004a6f75a7e4cb32b9e320e680f8839748
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jun 21 09:34:53 2007 -0700

    Man page formatting and typo fixes

commit b0812f8efe448c85979a9f5fab4a5a4e0c0e78d0
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Jun 21 11:37:56 2007 +0100

    Update to version 1.2.1

commit 739f01957c8ebd3b7bcecfd7ad8174884561f7db
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Apr 25 11:59:48 2007 -0700

    Fix bugs found by compiling with -Wall.
    
    Also fix some unused variable warnings.

commit 8e43df335679c71930465e4c58c0bd14d9add29a
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Apr 25 10:52:19 2007 -0700

    Fix a typo.  Make mode flags case insensitive.  Improve error messages.

commit 49aab1e0e4cb2226d5bcc8e4e6217309fd23ce52
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Fri Apr 6 03:36:27 2007 -0700

    Skip relative positions for outputs without modes.
    
    An output without a mode is turned off; do not try to position it.

commit 86d9b15cccc4d21ad5e5d34d7e7b82a50903939b
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Sun Mar 25 23:44:01 2007 -0700

    Support XA_ATOM properties (like TV_FORMAT).
    
    Atom properties have lists of valid values that are all atoms, so display
    those. Also, fetch property data and use that to determine which format new
    property values are supposed to be in.

commit dba14af8328eaaad716d1c27a5514df285d8d4cc
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Fri Mar 23 01:21:21 2007 -0700

    Add --set option to set output properties.
    
    Numeric values are set as XA_INTEGER format 32 values, everything else is
    set as an XA_STRING format 8 value.

commit ca7a5bb5691ecd1d8da6def373c793aa7a07dbbe
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Thu Mar 15 20:57:17 2007 -0700

    Bounds check -s <index> argument to be 0 <= index < nsize
    
    Print a nice error message when the -s option is passed a number out of
    bounds.

commit 0cbbc7804781c2e55899ba9271365735c4a2b544
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Thu Mar 15 20:56:15 2007 -0700

    Make --q1 output RandR 1.1 query information.
    
    --q1 required a --query option to actually output any information.

commit 7ae11b66cc26395d34070013e23813db3ca3e55f
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Thu Mar 15 20:55:30 2007 -0700

    Make --auto after --output only affect the output.
    
    --auto has two meanings; if presented before any --output flags, it requests
    that connected-but-disabled outputs be enable while disconnected-but-enabled
    outputs be disabled. After --output, --auto simply asks that the mode used
    for the output be automatically selected. Mixing these two operations is not
    a good default.

commit a53cc9b37c40dca936037a89013253f37c9a05ee
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Mon Mar 12 22:47:39 2007 -0700

    Add --addmode and --delmode commands to edit list of modes per output.
    
    --addmode <output> <mode> inserts <mode> into the list supported by
    <output>, while --delmode removes a mode.

commit dca4bd66b166b64314993aba34a3080c6953ac12
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Mon Feb 19 17:12:24 2007 -0800

    Add --newmode/--rmmode to create/destroy user modes.
    
    The syntax may be a bit hard to work with, but these serve to test the
    server infrastructure for custom modes.

commit 9fd6aa1445a8f1e721ba8cdcd1ac12375d6e5a26
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Mar 9 10:12:17 2007 +0100

    Fixed alignment of the clones list.

commit 3c44d68d78d8bddf69b5bd1a00f854d8cde971bb
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Feb 21 11:24:35 2007 -0800

    Add --same-as option to match output positions.
    
    This provides another positioning option that makes two outputs appear at
    the same location.

commit 8a0c3b748b0e94c97fbc2a7449c6740b8acfe394
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Feb 18 21:27:55 2007 -0800

    Update version number to 1.2.0 for release.

commit 13cef2baa884039e96f5dfd9245bb949aed99448
Merge: 065f09c a175972
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Feb 18 21:26:50 2007 -0800

    Merge branch 'origin'

commit 065f09cc304d0c70eaf3cf6f3ff21e712e41d205
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Feb 18 21:25:54 2007 -0800

    Require only libXrandr 1.2.0, not 1.2.0.0.
    
    Four digits seems excessive in a library version number.

commit a175972de6fbe5426fb5c6bee03112678f0a9548
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Thu Feb 15 23:07:34 2007 -0800

    Select crtc which can be cloned to outputs which will be in use.
    
    Correct crtc selection algorithm to choose a crtc which will be used by
    outputs which can all share the same crtc.
    
    Also, make randr 1.0 commands work even when --verbose is specified, and
    terminate event loop in that case when the screen change event is seen.

commit d707822aab19a0a8fe08f03300fdd9d4e206871e
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sat Feb 10 18:27:06 2007 -0800

    Selecting a crtc by index was failing to match a crtc.
    
    --crtc <index> would fail to match because of a logic bug using & instead of
    &&.

commit 89bf2c3c0e17c67adc3e2fdca54f0e8254dc8968
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sat Feb 10 16:14:58 2007 -0800

    Display set of available CRTCs per output in --verbose mode.

commit 067cafb5cda0aa6e34773e888fd469ff657760c2
Merge: 7c25c24 b0a00df
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Wed Jan 31 15:25:35 2007 -0800

    Merge branch 'randr-1.2'
    
    Merge support for RandR 1.2 changes to the xrandr program along with
    documentation for the new options.

commit b0a00df69f832ada40be6bd6973835439a698440
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Wed Jan 31 15:22:02 2007 -0800

    Update documentation to include all RandR 1.2 options.
    
    Also, require libXrandr version 1.2.0.0 or better.

commit 6b9310d66eed59527d4002294be13884a7cbeacc
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Tue Jan 30 20:35:58 2007 -0800

    Missing return statement from output_rotation.
    
    output_rotation was returning garbage making the available output rotations
    display incorrectly.

commit 5c3b6b1013c7565c40e82bfc0514a3dd80aec2d8
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Tue Jan 30 20:16:46 2007 -0800

    Remove xrandr12.c app now that xrandr.c has RandR 1.2 support.

commit eaf3e459d7760bbcb3c7f7c9b23b1e386189c71e
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Tue Jan 30 00:10:23 2007 -0800

    Add --reflect option for RandR 1.2 reflection selection.
    
    Also, display available rotations after current rotation

commit 8ecc6c034836a6fb6df0e2ad24429f506bf82e37
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Jan 16 10:48:01 2007 -0800

    Add display for 32-bit integer properties, such as backlight.

commit 4112d13d7b15150e33687b687604c3a72188c066
Author: Keith Packard <keithp@mandolin.keithp.com>
Date:   Mon Jan 1 17:04:42 2007 -0800

    Mode on CRTC may not be present for any output.
    
    When an output gets disconnected, the current CRTC mode may no longer be
    listed as valid for any output, but will still be listed for the screen.
    Search for current crtc mode in the screen list rather than the per-output
    list.

commit 6ef7b2deafd09ae1a4b159f3c2e6e9db64bf01dc
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Dec 31 23:02:12 2006 -0800

    Using %lf to read float overwrote adjacent variable.
    
    Just use floats everywhere and %f instead.

commit f6073333dcfb6989ff8793854fb42e08388444c5
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Dec 31 13:55:14 2006 -0800

    Add rotation/reflection status to 1.2 query output.
    
    The previous cleanup had left these values missing from any output.
    Also it now reports the effective size of the mode within the screen.

commit 5d2a76b70b7b59a45655b25db79d75cb08fe671d
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Dec 31 13:38:40 2006 -0800

    Clean up RandR 1.2 query output.
    
    Make brief mode list just mode names and refresh rates.
    Add --prop/--properties flag to show properties.
    Add --q1 flag to force showing pre-1.2 data.

commit d9aeb4a7544ad4a33f6f54bc46bff5cdf231a986
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Dec 31 12:45:25 2006 -0800

    Add --rate support to RandR 1.2 mode selection.
    
    Search for mode closest to specified rate for each output and use that
    instead of the one with the first matching name. If no rate is specified,
    the first one still matches allowing the driver to place preferred rates
    first in the list.

commit c04d69cbd8a8a96862356afcda6ee679d663a524
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Dec 31 11:58:11 2006 -0800

    Grab server while applying changes.
    
    Applications that respond to screen size changes by quering Xinerama
    information need to be blocked so that they see the entirety of the changes
    rather than just the screen size shift and not the crtc changes.

commit 8e78af971048db711163ea297153703b4f37f3c9
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sat Dec 30 21:49:40 2006 -0800

    Enable global --auto flag. Allow output name for --dpi switch.
    
    --auto at the global level checks for output status changes and
    automatically configures changed outputs. --dpi with an output switch uses
    the specified output as the source of the dpi information.

commit f7a3e478a6a5d59a2bbcd6dc416639f93a0520fd
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sat Dec 30 19:41:48 2006 -0800

    Use Bool type. Position relative to disabled output is 0,0.
    
    Switch uses of int that are strictly boolean to Bool.
    Instead of making attempts to set position relative to a disabled output an
    error, just place the output at 0,0.

commit cb017692883daf64e0cf442a39b33eaafed0e420
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sat Dec 30 17:34:46 2006 -0800

    Restructure RandR 1.2 support to handle relative placement.
    
    Ok, really, this is mostly a rewrite of the RandR 1.2 support.  First,
    collect commands from command line arguments.  Next, fill in existing
    configuration from X server.  Calculate new configuration. Apply
    configuration, if anything fails, revert to previous configuration.
    
    Still left -- pure --auto, and --extend/--clone options.

commit b9dee113ce4105c1cf25e3c417c616c024aea823
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Fri Dec 29 00:55:37 2006 -0800

    Make query return 1.2 information if available

commit 90e4a4c13957bd003294f64b86460813dd38a3de
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Dec 21 17:37:20 2006 -0800

    Accept hex mode numbers as well as mode names.
    
    Sometimes mode names are ambiguous; this lets the user specify modes by XID.

commit e8f7047885ec85096a3f35b9cfb20386104fdc55
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Tue Dec 19 16:27:46 2006 -0800

    Actually respect the --fb option

commit 7b32611632ab08b6a123db5df1c2b919b3a12104
Merge: a0df3aa 4bb1a9c
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Tue Dec 19 15:58:38 2006 -0800

    Merge branch 'randr-1.2-origin' into randr-1.2

commit a0df3aa81205b35ff8d9541c036cfd158cbd99ed
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Tue Dec 19 15:58:21 2006 -0800

    Correct format for sscanf to double variable "dpi"

commit 4bb1a9cd6f9cc3ed61d7913528afa3f573092833
Merge: b6c0382 6ef400f
Author: Keith Packard <keithp@bouzouki.jf.intel.com>
Date:   Wed Dec 13 11:36:36 2006 -0800

    Merge branch 'randr-1.2-origin' into randr-1.2. Detect invalid mode.
    
    Invalid mode test was checking wrong mode index. Also, print more
    informative error message when this occurs.

commit b6c03827bae74ef5b9517c4246b0165dad8ee780
Author: Keith Packard <keithp@bouzouki.jf.intel.com>
Date:   Wed Dec 13 11:27:30 2006 -0800

    Name CRTCs by index or id. Use current CRTC to get current mode.
    
    CRTCs have no intrinsic name, so let users provide either the number in the
    list or the XID when referring to them explicitly.
    When no mode is specified, look up the current CRTC for the output and use
    that mode, instead of using the mode on the target CRTC.
    When switching an output from one CRTC

commit 6ef400f35d7d8712d1ad1efd87a8a3cb8bfacd96
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Wed Dec 13 09:53:17 2006 -0800

    Add --preferred and --auto support.
    
    --preferred selects the 'best' mode for the monitor automatically, either by
    looking for a preferred mode, or selecting one which is closest to the
    current screen DPI.
    
    --auto checks connected status and disables the output if disconnected,
    otherwise it enables it with the preferred mode (as if --preferred).

commit c69c3080febd8617349f88557c3c04388a13a76c
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Tue Dec 12 09:54:52 2006 -0800

    mark disabled crtc as changing, set rotation to 90 for disabled crtc.
    
    --off code was not correctly finding and marking the to-be-disabled crtc,
    and the disabling code was sending an uninitialized rotation value to the
    server when no outputs were connected.

commit 6be56cd10d934e496004f9ffd377225fd179f4b1
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Mon Dec 11 00:39:48 2006 -0800

    Update manual, elide unsupported options from usage, remove xrandr12 from build

commit 624c75e8c250b33a81890c8f0da741a13ad4e7d1
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Mon Dec 11 00:23:15 2006 -0800

    Add RandR 1.2 support to plain xrandr app. primitive for now

commit 7c25c245bceb0474541fe7a2615a4f665842ac32
Author: Jeremy C. Reed <reed@glacier.reedmedia.net>
Date:   Sat Dec 9 06:32:19 2006 -0600

    Document -v switch.

commit 2a32fa8cf8550a3a30871d25a23af07f65646c47
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Tue Nov 21 01:17:38 2006 -0800

    Track RandR output property changes

commit 795173d2b9b94a3468db277102b4898b4e5a1ead
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Nov 16 22:14:33 2006 -0800

    properties are stored in unsigned char arrays

commit 2df4352bb43e155977f8d4c0b53771cb0085ab74
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Nov 16 11:45:51 2006 -0800

    Remove RandR output options.
    
    Output options are to be replaced with properties.

commit 643787365fd716b902b597b67b2ec228dacfc862
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Nov 1 10:57:24 2006 -0800

    Re-indent to 4 space tabs

commit 947ea6ee9d7cf72c5635c699b63ddda3be968675
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Nov 1 10:55:21 2006 -0800

    Fix copyright and license information

commit dc41095b577db571439ff1a52facc4efe9f5132f
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Nov 9 20:26:09 2006 -0800

    Print 8-bit integer output properties as 32-char rows of hex.
    
    This happens to produce pretty output for EDID data.

commit 67466ebb817e24bfd7f57cc82da16e194eb9c547
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Nov 9 17:15:56 2006 -0800

    Add more .gitignore entries.

commit aafe9f7d24e96194a7ee11ba521a3c2c72dcdc95
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Nov 9 17:15:06 2006 -0800

    Add output for output properties (assuming text) and blanking information.

commit 6ba07ae9ea5fa2829d17e8a1f3eb26e7c1a2813e
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Nov 8 10:23:47 2006 -0800

    Add dot clock to output.

commit fba78f58029a806e4446d038b17b843d2c4026a6
Author: Keith Packard <keithp@mandolin.keithp.com>
Date:   Wed Nov 1 00:32:22 2006 -0800

    Track protocol moving physical size from mode to output

commit d9c45204a16e906b922ac94cae3c9f4f25b3ccdb
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Oct 26 22:58:58 2006 -0700

    add physical size setting

commit bd6ac82ff7e7fc04ab589a3053dc7f13ed7a1ec4
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Oct 5 21:50:42 2006 -0700

    Add crtc info. Mark preferred. Update to new SetCrtcConfig API.

commit fe04d38d01f54b93ddaf1cd48a655df7f7fe4b97
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Sep 21 08:16:45 2006 -0700

    Add CRTC disable code (given crtc, output 0, mode 0)

commit 7f1b81d443b78ff572726ad7d72eeb4a87c7189d
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Wed Sep 20 20:03:22 2006 -0700

    xrandr12, a horrible kludge, is now sufficient to do dynamic mergefb games.

commit eba1d3d8ab6226737c29e63fdd5433190baab06f
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Wed Sep 20 20:02:43 2006 -0700

    .cvsignore -> .gitignore

commit 6c5af262350a5fa33aa37293e8e7b537e344f52a
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Wed Sep 20 20:02:09 2006 -0700

    .cvsignore -> .gitignore

commit d8e86340444577dc7634d3e0db24fd809f4e4fbb
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Tue Sep 19 00:35:46 2006 -0700

    Add new xrandr12 program for RandR 1.2 protocol.
    
    Yes, xrandr12 will be merged with xrandr before release; it's just for
    debugging at present.

commit f88f8e79724b27f46a836fac4956cbe28749633a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Apr 26 23:43:34 2006 +0000

    Bump to 1.0.2

commit 47c6288e63ebe7a9bb2f3225e7d5a235bd979a5f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Apr 25 22:54:01 2006 +0000

    Don't try to fprintf a NULL string when -display wasn't passed and
        connecting to $DISPLAY failed, since that segfaults on some platforms.

commit 0197bfdddca98c72bca0eeee349b90027638fc32
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Mar 20 18:56:37 2006 +0000

    Bug #5511, #5512: Print more sensible error messages when fed broken
        command lines. (Bill Crawford)

commit 4f785cb5db6d95c9f539500e7b202a0f5addd19f
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:53 2005 +0000

    Update package version for X11R7 release.

commit 83491d233781c9e6a362aa8bac1ab4f2a239fdee
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:46 2005 +0000

    Stub COPYING files

commit 5d09a0b505a2c08b81879e61173459d23f4c41db
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:10 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 3e0eb5b6f68ef9120153e7f01b4243ad4fa44254
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:25 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit d52f178dc51182e14d5d7ad9f2842f3e1d30a57f
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:27 2005 +0000

    Update package version number for X11R7 RC3 release.

commit f3b3596d181a7ab89b90561490f822171ec77479
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:46 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 28c2280644f808c89e42e379b531fbb0fdf39bc7
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:07 2005 +0000

    Another pass at .cvsignores for apps.

commit e5ab923625baf41a59e033abf3527709c8ef255b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:55 2005 +0000

    Add/improve .cvsignore files for apps.

commit 7e1cf1fef9dd000569dd5390380fb567314644a5
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:38 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 89ab28833d4e2ff412a92bb2b47af2d78a109c00
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:57 2005 +0000

    Update package version number for RC1 release.

commit 60178bb0c8bc97055c9aee7986866ada615491e6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:24 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 958b347b1e5e427858d3e693e5487ec7ba4f5054
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:47 2005 +0000

    Use sed to fill in variables in man page

commit 35e7414c6e4505b2e71be0e54ed0c7ff74f39db1
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Oct 6 10:03:08 2005 +0000

    Tell the user when setting the screen configuration fails. Return nonzero
        so scripts can find out too.

commit 938ff7de3f2bc4979bbf8a5f68190cde2be12696
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:37 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit f241e34fd0f3bedf5aa615dc8e17352b91de8cd9
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Jul 22 07:18:28 2005 +0000

    Fix path to man pages.

commit f87ac740a20ec3e8b452959081816f5fddeaaf87
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:32:03 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 5666f22654447eb381186a85a8e1630d419b0a88
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Fri Jul 1 20:27:45 2005 +0000

    Build systems for xrdb, xrandr, xrefresh

commit 39a8c733612722dca456c315a5ad299da1fe29d6
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:43:18 2004 +0000

    Encoding of numerous files changed to UTF-8

commit df8c56f1f66cce27dd018248a30cd9465d2b545c
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:55:03 2004 +0000

    Merging XORG-CURRENT into trunk

commit 791685e93f32489dcd2d02a77e1a79ffb6c97c17
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:42 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 342e5f4d491f137e3930213e62192de3eece3155
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:15 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit e3c0383c8fdcf38d34b3fad607949b0693184ca7
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:26 2004 +0000

    readding XFree86's cvs IDs

commit 633350fa648d2b57b3dd94cb1d220a0b826bef55
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:14 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 22c66075090a14ad022ae73a080e76a5ace7c5d1
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:15 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 05fa20267de7cdf44fb6de556910ed0e4ce665a5
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    XFree86 4.3.0.1

commit c973a27b6d07b8711041c0c22ba8568f168b447a
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    Initial revision
